%ext ck1

%patchfile 0x130F8 Keen1.tli

#######################################################################################
#Change the default colors:
#This is the color palette: 16 entries of r, g, b (each 0-63) 
#%patch $13054 
#       00 00 00 #black 
#       00 00 36 #blue 
#       00 39 00 #green 
#       06 39 39 #cyan 
#       30 00 00 #red 
#       30 00 30 #magenta 
#       36 21 00 #brown 
#       35 35 35 #bright gray 
#       17 17 17 #gray 
#       21 21 63 #bright blue 
#       18 58 19 #bright green 
#       23 62 62 #bright cyan 
#       63 21 21 #bright red 
#       63 21 63 #pink 
#       63 58 18 #yellow 
#       63 63 63 #white 
#Set the palette when we go into graphics mode 
#%patch $6E46  $E8 $D3 $D5 $90 $90 
#Code to set graphics mode and set the palette 
#%patch $441C                  $B8 $0D $00 $CD 
#              $10 $B8 $12 $10 $B9 $08 $00 $BB 
#              $00 $00 $8C $DA $8E $C2 $BA $04 
#              $00 $CD $10 $BB $18 $00 $BA $1C 
#              $00 $CD $10 $C3 
#################################################################################

#DERP:

%patch $BE97 $65
%patch $BEE2 $65

####




#FILE STUFF:
#%patch $14F15 "WEE" #ending of filenames
#%patch $15925 "DOGS"
#%patch $16166 "DOG1.WEE"
#%patch $16173 "DOG2.WEE"

#Change the time that the two previews take 
#Time value is in 64ths of a second (approx) 
#$012C = 300 = ~4.6 seconds 
%patch $96F2  $64 $00 
%patch $9713  $64 $00 

#####################################################

#Keen 4 like flags in keen 1
#To make a flag marker for level n, you need to put a sprite on the 
#map with number 100 + n; for example, to make a flag marker for 
#level 3, I'd put a sprite number 103 on the map. Be aware that 
#these should only be placed on an area where Keen cannot walk, or 
#they'll act like teleporters if he walks over them and presses Alt. 
#Do not use this patch with the "change Done tiles" patch.
%patch $7C07  $83 $EC $20 
%patch $7D13              $31 $F6 $C4 $3E $4C $6C $8B $16 $08 $6C $A1 $58 $6C 
%patch $7D20  $F7 $E2 $89 $C1 $09 $C9 $75 $03 $E9 $DA $00 $26 $8B $05 $C7 $46 
%patch $7D30  $E0 $00 $00 $A9 $00 $80 $74 $05 $C7 $46 $E0 $01 $00 $25 $FF $7F 
%patch $7D40  $75 $03 $E9 $B9 $00 $89 $46 $FC $3D $10 $00 $7C $03 $E9 $85 $00 
%patch $7D50  $89 $C3 $D1 $E3 $83 $BF $A4 $AA $00 $75 $03 $E9 $A0 $00 $26 $C7 
%patch $7D60  $05 $00 $00 $83 $7E $E0 $00 $74 $03 $E9 $92 $00 $89 $FB $43 $43 
%patch $7D70  $26 $8B $07 $25 $FF $7F $3B $46 $FC $75 $47 $26 $C7 $07 $00 $00 
%patch $7D80  $03 $1E $08 $6C $03 $1E $08 $6C $26 $C7 $07 $00 $00 $4B $4B $26 
%patch $7D90  $C7 $07 $00 $00 $06 $C4 $1E $48 $6C $89 $F0 $D1 $E0 $01 $C3 $26 
%patch $7DA0  $C7 $07 $4E $00 $43 $43 $26 $C7 $07 $4F $00 $03 $1E $08 $6C $03 
%patch $7DB0  $1E $08 $6C $26 $C7 $07 $51 $00 $4B $4B $26 $C7 $07 $50 $00 $07 
%patch $7DC0  $EB $3C $06 $C4 $1E $48 $6C $89 $F0 $D1 $E0 $01 $C3 $26 $C7 $07 
%patch $7DD0  $4D $00 $07 $EB $29 $3D $65 $00 $7C $24 $3D $74 $00 $7F $1F $2D 
%patch $7DE0  $64 $00 $89 $C3 $D1 $E3 $83 $BF $A4 $AA $00 $74 $11 $06 $C4 $1E 
%patch $7DF0  $48 $6C $89 $F0 $D1 $E0 $01 $C3 $26 $C7 $07 $CD $00 $07 $49 $47 
%patch $7E00  $47 $46 $E9 $1F $FF $EB $4A 


# Do not spawn DONE markers (Flags version)
# Place this AFTER the flags patch
#%patch $7DCD  $90 $90 $90 $90 $90 # Single Marker:
#%patch $7D9F  $90 $90 $90 $90 $90 # 2x2 Marker:
#%patch $7DA6  $90 $90 $90 $90 $90
#%patch $7DB4  $90 $90 $90 $90 $90
#%patch $7DBA  $90 $90 $90 $90 $90 



#####################################################

# Let Keen keep keycards when exiting a level: 
%patch $4F43 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 

###########################################


# dead vort turns into yorp
%patch $1D8D $90 $90 $90 $90 $90 $90 $90 $90 $90
%patch $1DAF $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
%patch $1DAD $4F $19
%patch $1DA8 $68 $1A
%patch $1DA3 $30 $00
%patch $1D98 $00 $02 $00



#Don't show the four highscore items [Whether they're got or not]
%patch $9928 $90 #Joystick
%patch $995B $90 #Battery
%patch $998E $90 #Vacum cleaner
%patch $99C1 $90 #Whiskey


#Keen 1 background tiles behave like Keen 3
#Change item tiles to use tiles at the end of each row ($0D) of tiles
%patch $4409      $26 $8B $07 $B6 $0D $F6 $FE
%patch $4410  $F6 $EE $26 $89 $07 $E9 $60 $01

#Change keys, items, etc to use point tiles instead
%patch $4482  $E9 $74 $FF #Affect ship parts
%patch $44BA  $E9 $3C $FF #Affect raygun, pogo
%patch $4513  $E9 $E3 $FE #Affect keycards

#Change doors
%patch $28EC                  $26 $8B $07 $B6
%patch $28F0  $0D $F6 $FE $F6 $EE $26 $89 $07
%patch $28F8  $03 $1E $08 $6C $03 $1E $08 $6C
%patch $2900  $26 $89 $07 $90 $90 $90 $90 $90

#Menu
%patch $15EE9 "Start   "
%patch $15EF6 "Load         "
%patch $15F08 "Story"
%patch $15F12 "About Me   "
%patch $15F22 "Scoreboard "
%patch $15F32 "Circus       "
%patch $15F44 "Dogs     "
%patch $15F52 "Title       "
%patch $15F61 "ESC - Qu" $00 "it    "

#About ID
%patch $15F80 "My name is Ryan,                  "
%patch $15FA8 "and I'm a pretty cool guy.       "
%patch $15FD0 "                              "
%patch $15FF8 "This is my mod,     "
%patch $16020 "which I made                    "
%patch $16048 "for my modding competition.        "
%patch $16070 "All new content, including"
%patch $16098 "music, is by me.       "
%patch $160C0 "You can e-mail me at         "
%patch $160E8 "Paramultart@gmail.com            "
%patch $16110 "Thank you!               "

#Ordering Info
%patch $1632C "I was once a man,       "
%patch $16346 "but then I joined        "
%patch $16364 "the circus.        "
%patch $1637B "I shouldn't have     "
%patch $16392 "joined the circus,       "
%patch $163AD "that was a bad move      "
%patch $163C8 "on my part.              "
%patch $163E4 "                                     "
%patch $1640D "I was once a man,                  "
%patch $16434 "but then I joined the freakshow.   "
%patch $1645B "Now I'm no longer a man, and     "
%patch $16480 "the children are afraid.   "
%patch $164B5 "Never join     "
%patch $164C6 "I am a monster. "
%patch $164DD "the circus.    "
%patch $164EE "I'm a beast.   "
%patch $16505 "Never join     "
%patch $16516 "I am a clown.  "
%patch $1652D "the freakshow.   "
%patch $16542 "All I wanted was to be cool...          "
%patch $16573 "NOW JUST LOOK AT ME! DO IT! :(    "

#High Scores
%patch $1593F "Frost"
%patch $1594E "ed     "
%patch $1595D "Butts!"

#Hint level 6
%patch $1511A "Commander Keen:     "
%patch $15130 "                    "
%patch $15146 "Nope.               "
%patch $1515C "                    "
%patch $15172 "                    "
%patch $15188 "                    "
%patch $1519E "                    "

#Hint level 9
%patch $151B4 "Shmaynorian Frog:   "
%patch $151CA "                    "
%patch $151E0 "You're almost done. "
%patch $151F6 "All I need now is   "
%patch $1520C "the giraffe poop.   "
%patch $15222 "                    "
%patch $15238 "                    "

#Hint level 11
%patch $152E8 "WOW!!!              "
%patch $152FE "This music stinks!!!"
%patch $15314 "Oh, and hey...      "
%patch $1532A "a secret level...   "

#Ship Message
%patch $1659B "You need to find    "
%patch $165B0 "ingredients:"
%patch $165C6 "GO GET THEM!"

#Satus Screen
%patch $14E56 "SCORE"
%patch $14E60 "EXTRA KEEN AT"
%patch $14E77 "LIVES"
%patch $14E83 "RECIPE    "
%patch $14E9B "RAYGUN"
%patch $14EA4 "POGO"
%patch $14EAC "KEYS    "
%patch $14EC8 "AMMO  "
%patch $14EDE "PLEASE PRESS A KEY"
%patch $15EDB "LIVES LEFT"

#Items Cheat
%patch $14DEE "You are now cheating!"
%patch $14E05 "You just got a pogo stick,"
%patch $14E21 "all the keys, and     "
%patch $14E39 "lots of ray gun ammo.   "
%patch $11F5 $4D $50
%patch $11FC $51 $50
%patch $1203 $42 $50

#God Mode Cheat
%patch $14EF6 "Paramultart on  "
%patch $14F07 "Paramultart off  "
%patch $120D $4D $50
%patch $1214 $4E $50
%patch $121B $4A $50

#Loading Screen
%patch $14F1D "Paramultart's: Commander Keen in Shmaynoria  - 08/17/10"
%patch $14F55 "Joystick found   "
%patch $14F67 "Joystick not found   "
%patch $14FA3 "EGA card found   "
%patch $14FB5 "VGA card found   "
%patch $1503B "Enjoy this mod! Thank you.                        "

#Change Controls
%patch $1251  $48
%patch $7FA3  $48
%patch $3B23  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00
%patch $3C4E  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00
%patch $3DB9  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00
%patch $3DCC  $90 $90
%patch $3E6D  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00
%patch $3FFC  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00
%patch $40AA  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00

#Finale
%patch $15C24 "Keen returns to the frog, gives him"
%patch $15C49 "the supplies, drinks the         "
%patch $15C6C "potion, and learns something       "
%patch $15C91 "really, really, terrible...    "

%patch $15CBD "He didn't really need "
%patch $15CD5 "the potion! Keen  "
%patch $15CE9 "has been trolled!"

%patch $15CFB "He returns home,   "
%patch $15D10 "throws up, and goes"
%patch $15D25 "to sleep. "

%patch $15D30 "Billy? Why did you   "
%patch $15D47 "throw up everywhere? "
%patch $15D5E "Are you alright?   "
%patch $15D73 "Billy?     "

%patch $15D80 "Don't wanna talk"
%patch $15D92 "about it."

%patch $15D9C "Well, we'll talk about"
%patch $15DB4 "that in the morning,"
%patch $15DCA "son. You get some rest."

%patch $15DE2 "*BARF* Night mom.  "

%patch $15DF6 "Goodnight, dear."

%patch $15E07 "But there is no sleep"
%patch $15E1E "for Commander Keen! He "
%patch $15E37 "just drank half a  "
%patch $15E4C "gallon of nasty nasty"
%patch $15E63 "stuff!!!      "
%patch $15E72 "......The End......"





%end